Retrieve a Vehicle
curl --request GET \
--url https://commerce.driv.ly/api/vehicles/{vin}import requests
url = "https://commerce.driv.ly/api/vehicles/{vin}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/vehicles/{vin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"vin": "1C4HJXEN5MW592818",
"year": 2021,
"make": "Jeep",
"trim": "Sport",
"spec": "vs_4jf8x9jv5c0b",
"model": "Wrangler",
"engine": "3.6L V6",
"seatCount": 5,
"doorCount": 4,
"bodyStyle": "SUV",
"drivetrain": "4WD",
"transmission": "Automatic",
"interiorColor": "Black",
"exteriorColor": "Red"
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Vehicle Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Vehicles
Retrieve a Vehicle
GET
/
vehicles
/
{vin}
Retrieve a Vehicle
Path Parameters
Vehicle is uniquely identified by vin
Query Parameters
The number of levels of related objects to include in the response
Response
Vehicle Found
Show child attributes
Show child attributes
Example:
{
"vin": "1C4HJXEN5MW592818",
"year": 2021,
"make": "Jeep",
"trim": "Sport",
"spec": "vs_4jf8x9jv5c0b",
"model": "Wrangler",
"engine": "3.6L V6",
"seatCount": 5,
"doorCount": 4,
"bodyStyle": "SUV",
"drivetrain": "4WD",
"transmission": "Automatic",
"interiorColor": "Black",
"exteriorColor": "Red"
}